import static java.nio.file.StandardOpenOption.*;
import static java.nio.file.StandardCopyOption.*;
import java.nio.file.*;
import java.io.*;
public class DateiOperationen {
  public static void main (String[] args) {
    Path txtVersion = Paths.get("testdatei.txt");
    Path altVersion = Paths.get("testdatei.alt");
    Path oldVersion = Paths.get("testdatei.old");
    Path quark      = Paths.get("quark.txt");

    try {
        Files.deleteIfExists(quark);
        Files.copy(txtVersion, altVersion, REPLACE_EXISTING);
        Files.move(altVersion, oldVersion, REPLACE_EXISTING);
    } catch (IOException ioe) {
        ioe.printStackTrace();
    }    

    try (PrintWriter p = 
           new PrintWriter(
                  Files.newOutputStream(txtVersion,CREATE,APPEND))) {
        p.println("Eine weitere Zeile.");
        p.println("Und noch eine weitere Zeile!");
    } catch (IOException ioe) {
        ioe.printStackTrace();
    }
  }
}
